- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QWebView Class Reference

Search for all occurrences

## Detailed Description

Definition at line 41 of file qwebview.h.

`#include <qwebview.h>`

Inheritance diagram for QWebView:
[legend]

List of all members.

## Public Slots
void | stop ()
void | back ()
void | forward ()
void | reload ()
void | print (QPrinter *) const
## Signals
void | loadStarted ()
void | loadProgress (int progress)
void | loadFinished (bool)
void | titleChanged (const QString &title)
void | statusBarMessage (const QString &text)
void | linkClicked (const QUrl &)
void | selectionChanged ()
void | iconChanged ()
void | urlChanged (const QUrl &)
## Public Member Functions
| QWebView (QWidget *parent=0)
virtual | ~QWebView ()
QWebPage * | page () const
void | setPage (QWebPage *page)
void | load (const QUrl &url)
void | load (const QNetworkRequest &request, QNetworkAccessManager::Operation operation=QNetworkAccessManager::GetOperation, const QByteArray &body=QByteArray())
void | setHtml (const QString &html, const QUrl &baseUrl=QUrl())
void | setContent (const QByteArray &data, const QString &mimeType=QString(), const QUrl &baseUrl=QUrl())
QWebHistory * | history () const
QWebSettings * | settings () const
QString | title () const
void | setUrl (const QUrl &url)
QUrl | url () const
QIcon | icon () const
QString | selectedText () const
QAction * | pageAction (QWebPage::WebAction action) const
void | triggerPageAction (QWebPage::WebAction action, bool checked=false)
bool | isModified () const
QVariant | inputMethodQuery (Qt::InputMethodQuery property) const
QSize | sizeHint () const
qreal | zoomFactor () const
void | setZoomFactor (qreal factor)
void | setTextSizeMultiplier (qreal factor)
qreal | textSizeMultiplier () const
QPainter::RenderHints | renderHints () const
void | setRenderHints (QPainter::RenderHints hints)
void | setRenderHint (QPainter::RenderHint hint, bool enabled=true)
bool | findText (const QString &subString, QWebPage::FindFlags options=0)
virtual bool | event (QEvent *)
## Protected Member Functions
void | resizeEvent (QResizeEvent *)
void | paintEvent (QPaintEvent *)
virtual QWebView * | createWindow (QWebPage::WebWindowType type)
virtual void | changeEvent (QEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseDoubleClickEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | contextMenuEvent (QContextMenuEvent *)
virtual void | wheelEvent (QWheelEvent *)
virtual void | keyPressEvent (QKeyEvent *)
virtual void | keyReleaseEvent (QKeyEvent *)
virtual void | dragEnterEvent (QDragEnterEvent *)
virtual void | dragLeaveEvent (QDragLeaveEvent *)
virtual void | dragMoveEvent (QDragMoveEvent *)
virtual void | dropEvent (QDropEvent *)
virtual void | focusInEvent (QFocusEvent *)
virtual void | focusOutEvent (QFocusEvent *)
virtual void | inputMethodEvent (QInputMethodEvent *)
virtual bool | focusNextPrevChild (bool next)
## Properties
QString | title
QUrl | url
QIcon | icon
QString | selectedText
bool | modified
qreal | textSizeMultiplier
qreal | zoomFactor
QPainter::RenderHints | renderHints
## Friends
class | QWebPage

## Constructor & Destructor Documentation

QWebView | ( | QWidget * | parent = `0` | ) | `[explicit]`

virtual ~QWebView | ( |  | ) | `[virtual]`

## Member Function Documentation

QWebPage* page | ( |  | ) | const

Search for all occurrences

void setPage | ( | QWebPage * | page | ) |

Search for all occurrences

void load | ( | const QUrl & | url | ) |

Search for all occurrences

void load | ( | const QNetworkRequest & | request,
|  | QNetworkAccessManager::Operation | operation = `QNetworkAccessManager::GetOperation`,
|  | const QByteArray & | body = `QByteArray()`
| ) |  |

Search for all occurrences

void setHtml | ( | const QString & | html,
|  | const QUrl & | baseUrl = `QUrl()`
| ) |  |

Search for all occurrences

void setContent | ( | const QByteArray & | data,
|  | const QString & | mimeType = `QString()`,
|  | const QUrl & | baseUrl = `QUrl()`
| ) |  |

Search for all occurrences

QWebHistory* history | ( |  | ) | const

Search for all occurrences

QWebSettings* settings | ( |  | ) | const

Search for all occurrences

QString title | ( |  | ) | const

Search for all occurrences

void setUrl | ( | const QUrl & | url | ) |

Search for all occurrences

QUrl url | ( |  | ) | const

Search for all occurrences

QIcon icon | ( |  | ) | const

Search for all occurrences

QString selectedText | ( |  | ) | const

Search for all occurrences

QAction* pageAction | ( | QWebPage::WebAction | action | ) | const

Search for all occurrences

void triggerPageAction | ( | QWebPage::WebAction | action,
|  | bool | checked = `false`
| ) |  |

Search for all occurrences

bool isModified | ( |  | ) | const

Search for all occurrences

QVariant inputMethodQuery | ( | Qt::InputMethodQuery | property | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

qreal zoomFactor | ( |  | ) | const

Search for all occurrences

void setZoomFactor | ( | qreal | factor | ) |

Search for all occurrences

void setTextSizeMultiplier | ( | qreal | factor | ) |

Search for all occurrences

qreal textSizeMultiplier | ( |  | ) | const

Search for all occurrences

QPainter::RenderHints renderHints | ( |  | ) | const

Search for all occurrences

void setRenderHints | ( | QPainter::RenderHints | hints | ) |

Search for all occurrences

void setRenderHint | ( | QPainter::RenderHint | hint,
|  | bool | enabled = `true`
| ) |  |

Search for all occurrences

bool findText | ( | const QString & | subString,
|  | QWebPage::FindFlags | options = `0`
| ) |  |

Search for all occurrences

virtual bool event | ( | QEvent * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

void stop | ( |  | ) | `[slot]`

Search for all occurrences

void back | ( |  | ) | `[slot]`

Search for all occurrences

void forward | ( |  | ) | `[slot]`

Search for all occurrences

void reload | ( |  | ) | `[slot]`

Search for all occurrences

void print | ( | QPrinter * |  | ) | const `[slot]`

Search for all occurrences

void loadStarted | ( |  | ) | `[signal]`

Search for all occurrences

void loadProgress | ( | int | progress | ) | `[signal]`

Search for all occurrences

void loadFinished | ( | bool |  | ) | `[signal]`

Search for all occurrences

void titleChanged | ( | const QString & | title | ) | `[signal]`

Search for all occurrences

void statusBarMessage | ( | const QString & | text | ) | `[signal]`

Search for all occurrences

void linkClicked | ( | const QUrl & |  | ) | `[signal]`

Search for all occurrences

void selectionChanged | ( |  | ) | `[signal]`

Search for all occurrences

void iconChanged | ( |  | ) | `[signal]`

Search for all occurrences

void urlChanged | ( | const QUrl & |  | ) | `[signal]`

Search for all occurrences

void resizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual QWebView* createWindow | ( | QWebPage::WebWindowType | type | ) | `[protected, virtual]`

Search for all occurrences

virtual void changeEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void mouseMoveEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void mousePressEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void mouseDoubleClickEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void mouseReleaseEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void contextMenuEvent | ( | QContextMenuEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void wheelEvent | ( | QWheelEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void keyPressEvent | ( | QKeyEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void keyReleaseEvent | ( | QKeyEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void dragEnterEvent | ( | QDragEnterEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void dragLeaveEvent | ( | QDragLeaveEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void dragMoveEvent | ( | QDragMoveEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void dropEvent | ( | QDropEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void focusInEvent | ( | QFocusEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void focusOutEvent | ( | QFocusEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void inputMethodEvent | ( | QInputMethodEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual bool focusNextPrevChild | ( | bool | next | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

## Friends And Related Function Documentation

friend class QWebPage `[friend]`

Search for all occurrences

Definition at line 158 of file qwebview.h.

## Property Documentation

QString title `[read]`

Search for all occurrences

Definition at line 43 of file qwebview.h.

QUrl url `[read, write]`

Search for all occurrences

Definition at line 44 of file qwebview.h.

QIcon icon `[read]`

Search for all occurrences

Definition at line 45 of file qwebview.h.

QString selectedText `[read]`

Search for all occurrences

Definition at line 46 of file qwebview.h.

bool modified `[read]`

Search for all occurrences

Definition at line 47 of file qwebview.h.

qreal textSizeMultiplier `[read, write]`

Search for all occurrences

Definition at line 49 of file qwebview.h.

qreal zoomFactor `[read, write]`

Search for all occurrences

Definition at line 50 of file qwebview.h.

QPainter::RenderHints renderHints `[read, write]`

Search for all occurrences

Definition at line 52 of file qwebview.h.

The documentation for this class was generated from the following file:

- QtWebKit/qwebview.h

QWebView QWebView QWebView QWebView QWebView QWebView QWebView QWebView QWebView QWebView
QWebView QWebView QWebView QWebView QWebView QWebView QWebView QWebView QWebView QWebView